%define apache_version 1.3.33

Summary:	Apache 1.3 Manual
Name:		apache1-manual
Version:	%{apache_version}
Release:	1mdk
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org
BuildRequires:	apache1-source = %{apache_version}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains the Apache 1.3 server documentation in HTML format.

%prep

%setup -q -c -T -n %{name}-%{version}
cp -rp %{_usrsrc}/apache_%{apache_version}/htdocs/manual .

pushd manual
for i in `find -name "*.html.en"`; do
    new_name=`echo $i | sed -e "s/.html.en/.html/g"`
    mv -f $i $new_name
done
# we don't need these
find -name "*.ja.jis" | xargs rm -f
find -name "*.fr" | xargs rm -f
find -name "*.html.html" | xargs rm -f
popd

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root) 
%doc manual/*

%changelog
* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33-1mdk
- renamed to apache1-manual

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-1mdk
- 1.3.33
- misc spec file fixes

* Mon Sep 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-3mdk
- fix ASF bug #21737 (cgi zombie processes)

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-2mdk
- security update

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-8mdk
- provide /manual-1.3 symlink

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-7mdk
- split apache-manual into its own package so we can put apache-modules into
  cooker and keep apache-manual into contribs.
